Antiprism 0.23

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# mu::ParserInt Class Reference

Mathematical expressions parser. More...

`#include <muParserInt.h>`

Inheritance diagram for mu::ParserInt:
[legend]
Collaboration diagram for mu::ParserInt:
[legend]

List of all members.

## Public Member Functions
| ParserInt ()
| Constructor.
virtual void | InitFun ()
| Initialize the default functions.
virtual void | InitOprt ()
| Initialize operators.

## Detailed Description

Mathematical expressions parser.

This version of the parser handles only integer numbers. It disables the built in operators thus it is slower than muParser. Integer values are stored in the double value_type and converted if needed.

## Constructor & Destructor Documentation

mu::ParserInt::ParserInt | ( |  | ) |

Constructor.

Call ParserBase class constructor and trigger Function, Operator and Constant initialization.

The documentation for this class was generated from the following files:

- base/muparser/muParserInt.h
- base/muparser/muParserInt.cc